function _formatPriceString(priceString) {
	const groups = priceString.match(/(.*?)([0-9.,]+)(.*)/);
	if (groups && groups.length == 4) {
		const preSymbol = (groups[1] !== '') ? `<span class="monetary-unit">${groups[1]}</span>` : '';
		const value = `<span class="price">${groups[2]}</span>`;
		const sufSymbol = (groups[3] !== '') ? `<span class="monetary-unit">${groups[3]}</span>` : '';
		priceString = preSymbol + value + sufSymbol;
	}
	return priceString;
}

function showLoginMode() { }
function showInitialMode() { }

function setPrice(itemId, state, priceString) {
	if ((itemId != 1 && itemId != 2) || state <= 0) { return; }
	if (itemId == 1 && document.getElementById("platform_type").innerText == "3") {
		itemId = 2;
	}
	if (itemId == 2) {
		priceString = _formatPriceString(priceString);
	}
	if (state <= 1) {
		const element = document.getElementById((itemId != 2) ? "yearly_advance_price" : "monthly_price");
		const formatString = document.getElementById((itemId != 2) ? "yearly_advance_format" : "monthly_format").innerHTML;
		element.innerHTML = formatString.replace("%%PRICE%%", priceString);
	} else {
		const element = document.getElementById("error_message_" + itemId);
		element.innerHTML = priceString;
	}
}

var priceMonthly = 0.0;
var priceYearly = 0.0;
function setPriceValue(itemId, price) {
	if (itemId != 1 && itemId != 2 || document.getElementById("platform_type").innerText == '3') { return; }
	const item = document.getElementById("install_link_" + itemId).href.split('/').pop();
	if (item == "prime.monthly") {
		priceMonthly = price;
	} else if (item == "prime.yearly") {
		priceYearly = price;
		const element = document.getElementById("need_format_0");
		element.innerText = priceYearly / 12;
	}
	if (itemId == 2) {
		const twelveMonths = priceMonthly * 12;
		let saveMonths = (twelveMonths - priceYearly) / priceMonthly;
		function round(value, digit) {
			return Math.round(value * Math.pow(10, digit)) / Math.pow(10, digit);
		}
		saveMonths = round(saveMonths, 1);
		if (Number.isInteger(saveMonths)) {
			saveMonths = Math.floor(saveMonths);
		}
		const element = document.getElementById("discount_txt");
		const formatString = document.getElementById("discount_format").innerText;
		element.innerText = formatString.replace("%%PERIOD%%", saveMonths);
	}
}

function formatPrice(index, state, priceString) {
	if (index != 0) {
		return;
	}
	priceString = _formatPriceString(priceString);
	const element = document.getElementById("yearly_per_price");
	const formatString = document.getElementById("yearly_per_format").innerHTML;
	element.innerHTML = formatString.replace("%%PRICE%%", priceString);
}

function setFreeTrialPeriod(itemId, trialPeriodNumber, isMonth) {
	if (itemId != 1 && itemId != 2) {
		return;
	}
	if (itemId == 1 && document.getElementById("platform_type").innerText == "3") {
		itemId = 2;
	}
	var key = (isMonth) ? "free_trial_month" : "free_trial_day";
	if (trialPeriodNumber > 1) {
		key += "s";
	}
	const trialFormatStr = document.getElementById(key).innerText;
	const trialElement = document.getElementById((itemId == 1) ? "NENGAKU_free_trial_txt" : "GETSUGAKU_free_trial_txt");
	trialElement.innerText = trialFormatStr.replace("%%PERIOD%%", trialPeriodNumber);
}

const platformType = document.getElementById("platform_type").innerText;
const primeMemberState = document.getElementById("prime_member_state").innerText;
const getting = document.getElementById("getting").innerText;
if (primeMemberState != "0") {
	document.getElementById("GETSUGAKU").style.display = "none";
	document.getElementsByClassName("Plan_txt_box")[0].remove();
	const yearlyTextElment = document.getElementById("NENGAKU_txt");
	yearlyTextElment.innerText = document.getElementById("change_plan_txt").innerText;
	const freeTrial = document.getElementsByClassName("flex-item02")[0].remove();
	const yearlyPrice = document.getElementById("yearly_per_price");
	const priceFormatStr = document.getElementById("change_plan_price_format").innerText;
	const yearlyFormat = document.getElementById("yearly_per_format");
	yearlyFormat.innerText = priceFormatStr;
	yearlyPrice.innerText = priceFormatStr.replace("%%PRICE%%", getting);
}
const urlHash = (platformType == "1") ? "#ios"
			  : (platformType == "2") ? "#android"
			  : "#huawei";
const cancelLink = document.getElementById("cancel-link");
cancelLink.href += urlHash;
const subsInfo = document.getElementById("subscribed");
if (platformType == "3") {
	if (primeMemberState == "0"){
		document.getElementById("install_link_2").id = "install_link_1";
		const yearly = document.getElementById("NENGAKU_txt_box");
		const monthly = document.getElementById("GETSUGAKU_txt_box");
		const yearlyStyle = getComputedStyle(yearly);
		monthly.style.margin = yearlyStyle.margin;
		monthly.style.color = yearlyStyle.color;
		monthly.style.background = yearlyStyle.background;
		monthly.style.padding = yearlyStyle.padding;
		document.getElementById("monthly_price").classList.remove("orange");
	} else {
		subsInfo.innerText = document.getElementById("subscribed_monthly").innerText;
		subsInfo.setAttribute("id", "subscribed_monthly_plan");
	}
	document.getElementById("NENGAKU").remove();
} else {
	if (primeMemberState == "2") {
		document.getElementById("NENGAKU").remove();
		subsInfo.innerText = document.getElementById("subscribed_yearly").innerText;
		subsInfo.setAttribute("id", "subscribed_yearly_plan");
	} else {
		if (primeMemberState == "1") {
			const yearlyBox = document.getElementById("NENGAKU_txt_box");
			yearlyBox.classList.add("sub");
			document.getElementsByClassName("Discount_txt01")[0].classList.add("sub");
			yearlyBox.getElementsByClassName("GAKU_flex_box")[0].classList.add("sub");
			yearlyBox.getElementsByClassName("flex-item01")[0].classList.add("sub");
			yearlyBox.getElementsByClassName("flex-item03")[0].classList.add("sub");
			yearlyBox.getElementsByClassName("per")[0].classList.add("sub");
			document.getElementById("NENGAKU_txt").classList.add("sub");
			subsInfo.innerText = document.getElementById("subscribed_monthly").innerText;
			subsInfo.setAttribute("id", "subscribed_monthly_plan");
		}
		const element = document.getElementById("discount_txt");
		const formatString = document.getElementById("discount_format").innerText;
		element.innerText = formatString.replace("%%PERIOD%%", getting);
	}
}
